#include<iostream>
using namespace std;
main()
{
	int N,i,H[1000];
	long long L;
	cin>>N>>L;
	for(i=0;i<N;i++) cin>>H[i];
	for(i=0;i<N;i++)
	{
		if(L>=H[i]){
			cout<<i+1;
			break;
		}
	}
	if(i==N) cout<<-1;
}